package ast

import "code.osinet.fr/fgm/waiig15/token"

// LetStatement is the Node type for Let statements.
type LetStatement struct {
	Token token.Token // the token.LET token. Why do we need it ?
	Name  *Identifier
	Value Expression
}

func (ls *LetStatement) statementNode() {}

// TokenLiteral satisfies the Node interface.
func (ls *LetStatement) TokenLiteral() string {
	return ls.Token.Literal
}
