package ast

import "code.osinet.fr/fgm/waiig15/token"

// ReturnStatement fulfills the Node and Statement interfaces.
type ReturnStatement struct {
	Token       token.Token // the token.RETURN token. Why do we need it ?
	Name        *Identifier
	ReturnValue Expression
}

func (rs *ReturnStatement) statementNode() {}

// TokenLiteral satisfies the Node interface.
func (rs *ReturnStatement) TokenLiteral() string {
	return rs.Token.Literal
}
